curl --request GET \
--url https://api.swarmd.ai/relay/v1/agents/{agentId}/a2a/0.3.0/.well-known/agent-card.json \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"protocolVersion": "<string>",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"preferredTransport": "<string>",
"additionalInterfaces": [
{
"url": "<string>",
"transport": "<string>"
}
],
"provider": {
"organization": "<string>",
"url": "<string>"
},
"iconUrl": "<string>",
"documentationUrl": "<string>",
"version": "<string>",
"capabilities": {
"streaming": true,
"pushNotifications": true,
"stateTransitionHistory": true,
"extensions": [
{
"uri": "<string>",
"description": "<string>",
"required": true,
"params": {}
}
]
},
"securitySchemes": {},
"security": [
{}
],
"defaultInputModes": [
"<string>"
],
"defaultOutputModes": [
"<string>"
],
"skills": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"examples": [
"<string>"
],
"inputModes": [
"<string>"
],
"outputModes": [
"<string>"
],
"security": [
{}
]
}
],
"supportsAuthenticatedExtendedCard": true,
"signatures": [
"<string>"
]
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| AGENT | REGISTRY | READ | REGISTRY:READ |
curl --request GET \
--url https://api.swarmd.ai/relay/v1/agents/{agentId}/a2a/0.3.0/.well-known/agent-card.json \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"protocolVersion": "<string>",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"preferredTransport": "<string>",
"additionalInterfaces": [
{
"url": "<string>",
"transport": "<string>"
}
],
"provider": {
"organization": "<string>",
"url": "<string>"
},
"iconUrl": "<string>",
"documentationUrl": "<string>",
"version": "<string>",
"capabilities": {
"streaming": true,
"pushNotifications": true,
"stateTransitionHistory": true,
"extensions": [
{
"uri": "<string>",
"description": "<string>",
"required": true,
"params": {}
}
]
},
"securitySchemes": {},
"security": [
{}
],
"defaultInputModes": [
"<string>"
],
"defaultOutputModes": [
"<string>"
],
"skills": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"examples": [
"<string>"
],
"inputModes": [
"<string>"
],
"outputModes": [
"<string>"
],
"security": [
{}
]
}
],
"supportsAuthenticatedExtendedCard": true,
"signatures": [
"<string>"
]
}Documentation Index
Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
Use this file to discover all available pages before exploring further.
JWT token (USER, AGENT, or SERVICE auth)
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes